<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.school.smart.mapper.EduGuideStepOrderMapper">

    <!-- 查询所有已经超时订单 -->
    <select id="selectTimeOutOrder"
            resultType="com.yida.data.common.core.entity.smart.EduGuideStepOrder">
        SELECT
            *
        FROM
            edu_guide_step_order
        WHERE
            order_status = '0'
          AND TIMESTAMPDIFF( SECOND, create_date, now( ) ) > 900
    </select>

</mapper>
